# ******************************************************************************
# Class Methods
# ******************************************************************************

#-------------------------------------------------------------------------------
# Print method for ArrayTriangle
#-------------------------------------------------------------------------------
print.AvDFs <- function(x)
{
  print(x$avDFs)
}

#-------------------------------------------------------------------------------
# Plot method for ArrayTriangle
#-------------------------------------------------------------------------------
plot.AvDFs <- function(x, triangle=1, ...)
{  
  # Convert Triangle of DFs to Long format
  .indivDFs <- .formatLong(x$indivDFs, na.rm=T)
  .indivDFs <- .indivDFs[.indivDFs$triangle==triangle, ]
 
  # Careful as factors - MAY NEED TO REVISIT !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
  .x <- as.numeric(.indivDFs$dev)
  plot(.x, .indivDFs$data, pch="x", cex=0.8, 
    xlab="Develpoment Period", ylab="Development Factor", 
    main="Plot of Development Factors", ...)

  # Careful as factors - MAY NEED TO REVISIT !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
  .x <- as.numeric(dimnames(x$avDFs)$dev)
  lines(.x, x$avDFs[1, , triangle], col="red")

}







